# encoding: utf-8
# THIS FILE IS AUTOGENERATED!
from __future__ import unicode_literals
from setuptools import setup
setup(
    description=u'jx-bigquery - JSON Expressions for BigQuery',
    license=u'MPL 2.0',
    author=u'Kyle Lahnakoski',
    author_email=u'kyle@lahnakoski.com',
    long_description_content_type=u'text/markdown',
    include_package_data=True,
    classifiers=["Development Status :: 4 - Beta","Topic :: Software Development :: Libraries","Topic :: Software Development :: Libraries :: Python Modules","License :: OSI Approved :: Mozilla Public License 2.0 (MPL 2.0)","Programming Language :: Python :: 2.7","Programming Language :: Python :: 3.6","Programming Language :: Python :: 3.7","Programming Language :: Python :: 3.8"],
    install_requires=["google-cloud-bigquery","jx-python","jx-python","mo-dots","mo-future","mo-json","mo-kwargs","mo-logs","mo-times","mo-times"],
    version=u'3.34.20028',
    url=u'https://github.com/klahnakoski/jx-bigquery',
    python_requires=u'==2.7, ==3.6, ==3.7, ==3.8',
    packages=["jx_bigquery/expressions","jx_bigquery"],
    long_description=u'# jx-bigquery\nJSON Expressions for BigQuery\n\n\n## Configuration\n\n```json\n{\n    "table": "my_table_name",\n    "top_level_fields": {},\n    "partition": {\n        "field": "submit_time",\n        "expire": "2year"\n    },\n    "id": {\n        "field": "id",\n        "version": "last_modified"\n    },\n    "cluster": [\n        "id",\n        "last_modified"\n    ],\n    "schema": {\n        "id": "integer",\n        "submit_time": "time",\n        "last_modified": "time"\n    },\n    "sharded": true,\n    "account_info": {\n        "private_key_id": {\n            "$ref": "env://BIGQUERY_PRIVATE_KEY_ID"\n        },\n        "private_key": {\n            "$ref": "env://BIGQUERY_PRIVATE_KEY"\n        },\n        "type": "service_account",\n        "project_id": "my-project-id",\n        "client_email": "me@my_project.iam.gserviceaccount.com",\n        "client_id": "12345",\n        "auth_uri": "https://accounts.google.com/o/oauth2/auth",\n        "token_uri": "https://oauth2.googleapis.com/token",\n        "auth_provider_x509_cert_url": "https://www.googleapis.com/oauth2/v1/certs",\n        "client_x509_cert_url": "https://www.googleapis.com/robot/v1/metadata/x509/test-treeherder-extract%40moz-fx-dev-ekyle-treeherder.iam.gserviceaccount.com"\n    }\n}\n```\n\n\n* `table` - Any name you wish to give to this table, the \n* `top_level_fields` - Map from \n* `partition` - \n        "field": "submit_time",\n        "expire": "2year"\n    },\n* `id` - \n        "field": "id",\n        "version": "last_modified"\n    },\n* `cluster` - \n        "id",\n        "last_modified"\n    ],\n* `schema` - \n        "id": "integer",\n        "submit_time": "time",\n        "last_modified": "time"\n    },\n* `sharded": true` - \n* `account_info` - The content of the application  \n\n\n\n\n\n\n## Usage\n\nSetup `Dataset` with an applicaiotn name\n\n```python\n    destination = bigquery.Dataset(\n        dataset=application_name, \n        kwargs=settings\n    ).get_or_create_table(settings.destination)\n```\n\n\n\n\n```python\n    destination.extend(documents)\n```\n\n',
    name=u'jx-bigquery'
)